-- MySQL dump 10.13  Distrib 8.0.34, for Win64 (x86_64)
--
-- Host: localhost    Database: basic
-- ------------------------------------------------------
-- Server version	8.0.34

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `category`
--

DROP TABLE IF EXISTS `category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `category` (
  `cid` int NOT NULL,
  `cname` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `category`
--

LOCK TABLES `category` WRITE;
/*!40000 ALTER TABLE `category` DISABLE KEYS */;
INSERT INTO `category` VALUES (1,'会議'),(2,'外出'),(3,'提出'),(4,'私用'),(5,'その他');
/*!40000 ALTER TABLE `category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `schedule`
--

DROP TABLE IF EXISTS `schedule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `schedule` (
  `pid` int NOT NULL AUTO_INCREMENT,
  `uid` varchar(7) DEFAULT NULL,
  `subject` varchar(100) DEFAULT NULL,
  `pdate` date DEFAULT NULL,
  `ptime` time DEFAULT NULL,
  `cid` int DEFAULT NULL,
  `memo` text,
  PRIMARY KEY (`pid`),
  KEY `uid` (`uid`),
  CONSTRAINT `schedule_ibfk_1` FOREIGN KEY (`uid`) REFERENCES `usr` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `schedule`
--

LOCK TABLES `schedule` WRITE;
/*!40000 ALTER TABLE `schedule` DISABLE KEYS */;
INSERT INTO `schedule` VALUES (1,'yyamada','WINGS会議','2024-06-25','15:00:00',1,'配布プリント持参'),(2,'tsatou','B企画書提出','2024-07-05','17:00:00',3,'サンプル添付'),(3,'yyamada','MySQL本原稿提出','2024-07-31','17:00:00',3,NULL),(4,'yyamada','WINGSメンバ面接','2024-08-05','13:00:00',5,NULL),(5,'nkakeya','WINGS会議','2024-06-25','14:00:00',1,'事前に会場準備'),(6,'nkakeya','C社打ち合わせ','2024-07-31','14:00:00',2,NULL),(7,'ssuzuki','WINGS会議','2024-06-25','15:00:00',1,'ファイル持参'),(8,'hinoue','小学校参観日','2024-08-10','14:00:00',4,NULL),(9,'yyamada','D企画打ち上げ','2024-08-21','18:00:00',5,NULL),(10,'nkakeya','D企画打ち上げ','2024-08-21','18:00:00',5,'出席者確認');
/*!40000 ALTER TABLE `schedule` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usr`
--

DROP TABLE IF EXISTS `usr`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `usr` (
  `uid` varchar(7) NOT NULL,
  `passwd` varchar(15) NOT NULL,
  `uname` varchar(20) NOT NULL DEFAULT 'ゲスト',
  `family` int DEFAULT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usr`
--

LOCK TABLES `usr` WRITE;
/*!40000 ALTER TABLE `usr` DISABLE KEYS */;
INSERT INTO `usr` VALUES ('hinoue','24680','井上花子',4),('hsugita','45231','ゲスト',3),('mtanaka','00112','田中美紀',NULL),('nharada','01230','原田直樹',3),('nkakeya','73440','掛谷奈美',5),('ssuzuki','98765','鈴木正一',4),('tsatou','13579','佐藤留吉',1),('yyamada','12345','山田祥寛',3);
/*!40000 ALTER TABLE `usr` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-10-06 16:12:20
